import request from '@/utils/request'

// 查询考核列表
export function listExamination(query) {
  return request({
    url: '/model/examination/list',
    method: 'get',
    params: query
  })
}

// 查询考核详细
export function getExamination(examinationId) {
  return request({
    url: '/model/examination/' + examinationId,
    method: 'get'
  })
}

// 新增考核
export function addExamination(data) {
  return request({
    url: '/model/examination',
    method: 'post',
    data: data
  })
}

// 修改考核
export function updateExamination(data) {
  return request({
    url: '/model/examination',
    method: 'put',
    data: data
  })
}

// 删除考核
export function delExamination(examinationId) {
  return request({
    url: '/model/examination/' + examinationId,
    method: 'delete'
  })
}
